DataCatalogClientCompositeOperations

class oci.data_catalog.DataCatalogClientCompositeOperations(client, **kwargs)

This class provides a wrapper around DataCatalogClient and offers convenience methods for operations that would otherwise need to be chained together. For example, instead of performing an action on a resource (e.g. launching an instance, creating a load balancer) and then using a waiter to wait for the resource to enter a given state, you can call a single method in this class to accomplish the same functionality

Methods:

__init__(client, **kwargs)

Creates a new DataCatalogClientCompositeOperations object

add_catalog_lock_and_wait_for_state(...[, ...])

Calls add_catalog_lock() and waits for the Catalog acted upon to enter the given state(s).

add_catalog_private_endpoint_lock_and_wait_for_state(...)

Calls add_catalog_private_endpoint_lock() and waits for the CatalogPrivateEndpoint acted upon to enter the given state(s).

add_data_selector_patterns_and_wait_for_state(...)

Calls add_data_selector_patterns() and waits for the DataAsset acted upon to enter the given state(s).

add_metastore_lock_and_wait_for_state(...[, ...])

Calls add_metastore_lock() and waits for the Metastore acted upon to enter the given state(s).

associate_custom_property_and_wait_for_state(...)

Calls associate_custom_property() and waits for the Type acted upon to enter the given state(s).

attach_catalog_private_endpoint_and_wait_for_state(...)

Calls attach_catalog_private_endpoint() and waits for the WorkRequest to enter the given state(s).

change_catalog_compartment_and_wait_for_state(...)

Calls change_catalog_compartment() and waits for the WorkRequest to enter the given state(s).

change_catalog_private_endpoint_compartment_and_wait_for_state(...)

Calls change_catalog_private_endpoint_compartment() and waits for the WorkRequest to enter the given state(s).

change_metastore_compartment_and_wait_for_state(...)

Calls change_metastore_compartment() and waits for the WorkRequest to enter the given state(s).

create_attribute_and_wait_for_state(...[, ...])

Calls create_attribute() and waits for the Attribute acted upon to enter the given state(s).

create_attribute_tag_and_wait_for_state(...)

Calls create_attribute_tag() and waits for the AttributeTag acted upon to enter the given state(s).

create_catalog_and_wait_for_state(...[, ...])

Calls create_catalog() and waits for the WorkRequest to enter the given state(s).

create_catalog_private_endpoint_and_wait_for_state(...)

Calls create_catalog_private_endpoint() and waits for the WorkRequest to enter the given state(s).

create_connection_and_wait_for_state(...[, ...])

Calls create_connection() and waits for the Connection acted upon to enter the given state(s).

create_custom_property_and_wait_for_state(...)

Calls create_custom_property() and waits for the CustomProperty acted upon to enter the given state(s).

create_data_asset_and_wait_for_state(...[, ...])

Calls create_data_asset() and waits for the DataAsset acted upon to enter the given state(s).

create_data_asset_tag_and_wait_for_state(...)

Calls create_data_asset_tag() and waits for the DataAssetTag acted upon to enter the given state(s).

create_entity_and_wait_for_state(catalog_id, ...)

Calls create_entity() and waits for the Entity acted upon to enter the given state(s).

create_entity_tag_and_wait_for_state(...[, ...])

Calls create_entity_tag() and waits for the EntityTag acted upon to enter the given state(s).

create_folder_and_wait_for_state(catalog_id, ...)

Calls create_folder() and waits for the Folder acted upon to enter the given state(s).

create_folder_tag_and_wait_for_state(...[, ...])

Calls create_folder_tag() and waits for the FolderTag acted upon to enter the given state(s).

create_glossary_and_wait_for_state(...[, ...])

Calls create_glossary() and waits for the Glossary acted upon to enter the given state(s).

create_job_and_wait_for_state(catalog_id, ...)

Calls create_job() and waits for the Job acted upon to enter the given state(s).

create_job_definition_and_wait_for_state(...)

Calls create_job_definition() and waits for the JobDefinition acted upon to enter the given state(s).

create_job_execution_and_wait_for_state(...)

Calls create_job_execution() and waits for the JobExecution acted upon to enter the given state(s).

create_metastore_and_wait_for_state(...[, ...])

Calls create_metastore() and waits for the WorkRequest to enter the given state(s).

create_namespace_and_wait_for_state(...[, ...])

Calls create_namespace() and waits for the Namespace acted upon to enter the given state(s).

create_pattern_and_wait_for_state(...[, ...])

Calls create_pattern() and waits for the Pattern acted upon to enter the given state(s).

create_term_and_wait_for_state(catalog_id, ...)

Calls create_term() and waits for the Term acted upon to enter the given state(s).

create_term_relationship_and_wait_for_state(...)

Calls create_term_relationship() and waits for the TermRelationship acted upon to enter the given state(s).

delete_catalog_and_wait_for_state(catalog_id)

Calls delete_catalog() and waits for the WorkRequest to enter the given state(s).

delete_catalog_private_endpoint_and_wait_for_state(...)

Calls delete_catalog_private_endpoint() and waits for the WorkRequest to enter the given state(s).

delete_metastore_and_wait_for_state(metastore_id)

Calls delete_metastore() and waits for the WorkRequest to enter the given state(s).

detach_catalog_private_endpoint_and_wait_for_state(...)

Calls detach_catalog_private_endpoint() and waits for the WorkRequest to enter the given state(s).

disassociate_custom_property_and_wait_for_state(...)

Calls disassociate_custom_property() and waits for the Type acted upon to enter the given state(s).

remove_catalog_lock_and_wait_for_state(...)

Calls remove_catalog_lock() and waits for the Catalog acted upon to enter the given state(s).

remove_catalog_private_endpoint_lock_and_wait_for_state(...)

Calls remove_catalog_private_endpoint_lock() and waits for the CatalogPrivateEndpoint acted upon to enter the given state(s).

remove_data_selector_patterns_and_wait_for_state(...)

Calls remove_data_selector_patterns() and waits for the DataAsset acted upon to enter the given state(s).

remove_metastore_lock_and_wait_for_state(...)

Calls remove_metastore_lock() and waits for the Metastore acted upon to enter the given state(s).

update_attribute_and_wait_for_state(...[, ...])

Calls update_attribute() and waits for the Attribute acted upon to enter the given state(s).

update_catalog_and_wait_for_state(...[, ...])

Calls update_catalog() and waits for the Catalog acted upon to enter the given state(s).

update_catalog_private_endpoint_and_wait_for_state(...)

Calls update_catalog_private_endpoint() and waits for the WorkRequest to enter the given state(s).

update_connection_and_wait_for_state(...[, ...])

Calls update_connection() and waits for the Connection acted upon to enter the given state(s).

update_custom_property_and_wait_for_state(...)

Calls update_custom_property() and waits for the CustomProperty acted upon to enter the given state(s).

update_data_asset_and_wait_for_state(...[, ...])

Calls update_data_asset() and waits for the DataAsset acted upon to enter the given state(s).

update_entity_and_wait_for_state(catalog_id, ...)

Calls update_entity() and waits for the Entity acted upon to enter the given state(s).

update_folder_and_wait_for_state(catalog_id, ...)

Calls update_folder() and waits for the Folder acted upon to enter the given state(s).

update_glossary_and_wait_for_state(...[, ...])

Calls update_glossary() and waits for the Glossary acted upon to enter the given state(s).

update_job_and_wait_for_state(catalog_id, ...)

Calls update_job() and waits for the Job acted upon to enter the given state(s).

update_job_definition_and_wait_for_state(...)

Calls update_job_definition() and waits for the JobDefinition acted upon to enter the given state(s).

update_metastore_and_wait_for_state(...[, ...])

Calls update_metastore() and waits for the Metastore acted upon to enter the given state(s).

update_namespace_and_wait_for_state(...[, ...])

Calls update_namespace() and waits for the Namespace acted upon to enter the given state(s).

update_pattern_and_wait_for_state(...[, ...])

Calls update_pattern() and waits for the Pattern acted upon to enter the given state(s).

update_term_and_wait_for_state(catalog_id, ...)

Calls update_term() and waits for the Term acted upon to enter the given state(s).

update_term_relationship_and_wait_for_state(...)

Calls update_term_relationship() and waits for the TermRelationship acted upon to enter the given state(s).

upload_credentials_and_wait_for_state(...[, ...])

Calls upload_credentials() and waits for the Connection acted upon to enter the given state(s).

__init__(client, **kwargs)

Creates a new DataCatalogClientCompositeOperations object

Parameters

client (DataCatalogClient) – The service client which will be wrapped by this object

add_catalog_lock_and_wait_for_state(catalog_id, add_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls add_catalog_lock() and waits for the Catalog acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • add_resource_lock_details (oci.data_catalog.models.AddResourceLockDetails) – (required) AddResourceLockDetails body parameter

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to add_catalog_lock()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

add_catalog_private_endpoint_lock_and_wait_for_state(catalog_private_endpoint_id, add_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls add_catalog_private_endpoint_lock() and waits for the CatalogPrivateEndpoint acted upon to enter the given state(s).

Parameters
  • catalog_private_endpoint_id (str) – (required) Unique private reverse connection identifier.

  • add_resource_lock_details (oci.data_catalog.models.AddResourceLockDetails) – (required) AddResourceLockDetails body parameter

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to add_catalog_private_endpoint_lock()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

add_data_selector_patterns_and_wait_for_state(catalog_id, data_asset_key, data_selector_pattern_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls add_data_selector_patterns() and waits for the DataAsset acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • data_asset_key (str) – (required) Unique data asset key.

  • data_selector_pattern_details (oci.data_catalog.models.DataSelectorPatternDetails) – (required) The information used to add the patterns for deriving logical entities.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to add_data_selector_patterns()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

add_metastore_lock_and_wait_for_state(metastore_id, add_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls add_metastore_lock() and waits for the Metastore acted upon to enter the given state(s).

Parameters
  • metastore_id (str) – (required) The metastore’s OCID.

  • add_resource_lock_details (oci.data_catalog.models.AddResourceLockDetails) – (required) AddResourceLockDetails body parameter

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to add_metastore_lock()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

associate_custom_property_and_wait_for_state(catalog_id, type_key, associate_custom_property_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls associate_custom_property() and waits for the Type acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • type_key (str) – (required) Unique type key.

  • associate_custom_property_details (oci.data_catalog.models.TypeCustomPropertyDetails) – (required) The information used to associate the custom property for the type.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to associate_custom_property()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

attach_catalog_private_endpoint_and_wait_for_state(attach_catalog_private_endpoint_details, catalog_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls attach_catalog_private_endpoint() and waits for the WorkRequest to enter the given state(s).

Parameters
  • attach_catalog_private_endpoint_details (oci.data_catalog.models.AttachCatalogPrivateEndpointDetails) – (required) Details for private reverse connection endpoint to be used for attachment.

  • catalog_id (str) – (required) Unique catalog identifier.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for status

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to attach_catalog_private_endpoint()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

change_catalog_compartment_and_wait_for_state(change_catalog_compartment_details, catalog_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls change_catalog_compartment() and waits for the WorkRequest to enter the given state(s).

Parameters
  • change_catalog_compartment_details (oci.data_catalog.models.ChangeCatalogCompartmentDetails) – (required) Details for the target compartment.

  • catalog_id (str) – (required) Unique catalog identifier.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for status

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to change_catalog_compartment()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

change_catalog_private_endpoint_compartment_and_wait_for_state(change_catalog_private_endpoint_compartment_details, catalog_private_endpoint_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls change_catalog_private_endpoint_compartment() and waits for the WorkRequest to enter the given state(s).

Parameters
  • change_catalog_private_endpoint_compartment_details (oci.data_catalog.models.ChangeCatalogPrivateEndpointCompartmentDetails) – (required) Details for the target compartment.

  • catalog_private_endpoint_id (str) – (required) Unique private reverse connection identifier.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for status

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to change_catalog_private_endpoint_compartment()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

change_metastore_compartment_and_wait_for_state(change_metastore_compartment_details, metastore_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls change_metastore_compartment() and waits for the WorkRequest to enter the given state(s).

Parameters
  • change_metastore_compartment_details (oci.data_catalog.models.ChangeMetastoreCompartmentDetails) – (required) Information about a change in metastore compartment.

  • metastore_id (str) – (required) The metastore’s OCID.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for status

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to change_metastore_compartment()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

create_attribute_and_wait_for_state(catalog_id, data_asset_key, entity_key, create_attribute_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls create_attribute() and waits for the Attribute acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • data_asset_key (str) – (required) Unique data asset key.

  • entity_key (str) – (required) Unique entity key.

  • create_attribute_details (oci.data_catalog.models.CreateAttributeDetails) – (required) The information used to create an entity attribute.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to create_attribute()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

create_attribute_tag_and_wait_for_state(catalog_id, data_asset_key, entity_key, attribute_key, create_attribute_tag_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls create_attribute_tag() and waits for the AttributeTag acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • data_asset_key (str) – (required) Unique data asset key.

  • entity_key (str) – (required) Unique entity key.

  • attribute_key (str) – (required) Unique attribute key.

  • create_attribute_tag_details (oci.data_catalog.models.CreateTagDetails) – (required) The information used to create an entity attribute tag.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to create_attribute_tag()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

create_catalog_and_wait_for_state(create_catalog_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls create_catalog() and waits for the WorkRequest to enter the given state(s).

Parameters
  • create_catalog_details (oci.data_catalog.models.CreateCatalogDetails) – (required) Details for the new data catalog.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for status

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to create_catalog()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

create_catalog_private_endpoint_and_wait_for_state(create_catalog_private_endpoint_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls create_catalog_private_endpoint() and waits for the WorkRequest to enter the given state(s).

Parameters
  • create_catalog_private_endpoint_details (oci.data_catalog.models.CreateCatalogPrivateEndpointDetails) – (required) The information used to create the private reverse connection.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for status

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to create_catalog_private_endpoint()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

create_connection_and_wait_for_state(catalog_id, data_asset_key, create_connection_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls create_connection() and waits for the Connection acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • data_asset_key (str) – (required) Unique data asset key.

  • create_connection_details (oci.data_catalog.models.CreateConnectionDetails) – (required) The information used to create the connection.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to create_connection()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

create_custom_property_and_wait_for_state(catalog_id, namespace_id, create_custom_property_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls create_custom_property() and waits for the CustomProperty acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • namespace_id (str) – (required) Unique namespace identifier.

  • create_custom_property_details (oci.data_catalog.models.CreateCustomPropertyDetails) – (required) The information used to create the Custom Property.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to create_custom_property()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

create_data_asset_and_wait_for_state(catalog_id, create_data_asset_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls create_data_asset() and waits for the DataAsset acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • create_data_asset_details (oci.data_catalog.models.CreateDataAssetDetails) – (required) The information used to create the data asset.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to create_data_asset()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

create_data_asset_tag_and_wait_for_state(catalog_id, data_asset_key, create_data_asset_tag_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls create_data_asset_tag() and waits for the DataAssetTag acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • data_asset_key (str) – (required) Unique data asset key.

  • create_data_asset_tag_details (oci.data_catalog.models.CreateTagDetails) – (required) The information used to create the data asset tag.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to create_data_asset_tag()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

create_entity_and_wait_for_state(catalog_id, data_asset_key, create_entity_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls create_entity() and waits for the Entity acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • data_asset_key (str) – (required) Unique data asset key.

  • create_entity_details (oci.data_catalog.models.CreateEntityDetails) – (required) The information used to create the data entity.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to create_entity()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

create_entity_tag_and_wait_for_state(catalog_id, data_asset_key, entity_key, create_entity_tag_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls create_entity_tag() and waits for the EntityTag acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • data_asset_key (str) – (required) Unique data asset key.

  • entity_key (str) – (required) Unique entity key.

  • create_entity_tag_details (oci.data_catalog.models.CreateTagDetails) – (required) The information used to create the entity tag.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to create_entity_tag()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

create_folder_and_wait_for_state(catalog_id, data_asset_key, create_folder_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls create_folder() and waits for the Folder acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • data_asset_key (str) – (required) Unique data asset key.

  • create_folder_details (oci.data_catalog.models.CreateFolderDetails) – (required) The information used to create the folder.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to create_folder()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

create_folder_tag_and_wait_for_state(catalog_id, data_asset_key, folder_key, create_folder_tag_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls create_folder_tag() and waits for the FolderTag acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • data_asset_key (str) – (required) Unique data asset key.

  • folder_key (str) – (required) Unique folder key.

  • create_folder_tag_details (oci.data_catalog.models.CreateTagDetails) – (required) The information used to create the folder tag.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to create_folder_tag()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

create_glossary_and_wait_for_state(catalog_id, create_glossary_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls create_glossary() and waits for the Glossary acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • create_glossary_details (oci.data_catalog.models.CreateGlossaryDetails) – (required) The information used to create the glossary.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to create_glossary()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

create_job_and_wait_for_state(catalog_id, create_job_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls create_job() and waits for the Job acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • create_job_details (oci.data_catalog.models.CreateJobDetails) – (required) The information used to create the job.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to create_job()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

create_job_definition_and_wait_for_state(catalog_id, create_job_definition_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls create_job_definition() and waits for the JobDefinition acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • create_job_definition_details (oci.data_catalog.models.CreateJobDefinitionDetails) – (required) The information used to create the job definition.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to create_job_definition()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

create_job_execution_and_wait_for_state(catalog_id, job_key, create_job_execution_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls create_job_execution() and waits for the JobExecution acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • job_key (str) – (required) Unique job key.

  • create_job_execution_details (oci.data_catalog.models.CreateJobExecutionDetails) – (required) The information used to create the job execution.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to create_job_execution()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

create_metastore_and_wait_for_state(create_metastore_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls create_metastore() and waits for the WorkRequest to enter the given state(s).

Parameters
  • create_metastore_details (oci.data_catalog.models.CreateMetastoreDetails) – (required) Information about a new metastore to be created.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for status

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to create_metastore()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

create_namespace_and_wait_for_state(catalog_id, create_namespace_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls create_namespace() and waits for the Namespace acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • create_namespace_details (oci.data_catalog.models.CreateNamespaceDetails) – (required) The information used to create the Namespace.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to create_namespace()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

create_pattern_and_wait_for_state(catalog_id, create_pattern_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls create_pattern() and waits for the Pattern acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • create_pattern_details (oci.data_catalog.models.CreatePatternDetails) – (required) The information used to create the pattern.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to create_pattern()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

create_term_and_wait_for_state(catalog_id, glossary_key, create_term_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls create_term() and waits for the Term acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • glossary_key (str) – (required) Unique glossary key.

  • create_term_details (oci.data_catalog.models.CreateTermDetails) – (required) The information used to create the term.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to create_term()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

create_term_relationship_and_wait_for_state(catalog_id, glossary_key, term_key, create_term_relationship_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls create_term_relationship() and waits for the TermRelationship acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • glossary_key (str) – (required) Unique glossary key.

  • term_key (str) – (required) Unique glossary term key.

  • create_term_relationship_details (oci.data_catalog.models.CreateTermRelationshipDetails) – (required) The information used to create the term relationship.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to create_term_relationship()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

delete_catalog_and_wait_for_state(catalog_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls delete_catalog() and waits for the WorkRequest to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for status

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to delete_catalog()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

delete_catalog_private_endpoint_and_wait_for_state(catalog_private_endpoint_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls delete_catalog_private_endpoint() and waits for the WorkRequest to enter the given state(s).

Parameters
  • catalog_private_endpoint_id (str) – (required) Unique private reverse connection identifier.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for status

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to delete_catalog_private_endpoint()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

delete_metastore_and_wait_for_state(metastore_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls delete_metastore() and waits for the WorkRequest to enter the given state(s).

Parameters
  • metastore_id (str) – (required) The metastore’s OCID.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for status

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to delete_metastore()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

detach_catalog_private_endpoint_and_wait_for_state(detach_catalog_private_endpoint_details, catalog_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls detach_catalog_private_endpoint() and waits for the WorkRequest to enter the given state(s).

Parameters
  • detach_catalog_private_endpoint_details (oci.data_catalog.models.DetachCatalogPrivateEndpointDetails) – (required) Details for private reverse connection endpoint to be used for attachment

  • catalog_id (str) – (required) Unique catalog identifier.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for status

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to detach_catalog_private_endpoint()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

disassociate_custom_property_and_wait_for_state(catalog_id, type_key, disassociate_custom_property_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls disassociate_custom_property() and waits for the Type acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • type_key (str) – (required) Unique type key.

  • disassociate_custom_property_details (oci.data_catalog.models.TypeCustomPropertyDetails) – (required) The information used to remove the custom properties.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to disassociate_custom_property()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

remove_catalog_lock_and_wait_for_state(catalog_id, remove_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls remove_catalog_lock() and waits for the Catalog acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • remove_resource_lock_details (oci.data_catalog.models.RemoveResourceLockDetails) – (required) RemoveResourceLockDetails body parameter

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to remove_catalog_lock()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

remove_catalog_private_endpoint_lock_and_wait_for_state(catalog_private_endpoint_id, remove_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls remove_catalog_private_endpoint_lock() and waits for the CatalogPrivateEndpoint acted upon to enter the given state(s).

Parameters
  • catalog_private_endpoint_id (str) – (required) Unique private reverse connection identifier.

  • remove_resource_lock_details (oci.data_catalog.models.RemoveResourceLockDetails) – (required) RemoveResourceLockDetails body parameter

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to remove_catalog_private_endpoint_lock()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

remove_data_selector_patterns_and_wait_for_state(catalog_id, data_asset_key, data_selector_pattern_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls remove_data_selector_patterns() and waits for the DataAsset acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • data_asset_key (str) – (required) Unique data asset key.

  • data_selector_pattern_details (oci.data_catalog.models.DataSelectorPatternDetails) – (required) The information used to remove the data selector patterns.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to remove_data_selector_patterns()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

remove_metastore_lock_and_wait_for_state(metastore_id, remove_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls remove_metastore_lock() and waits for the Metastore acted upon to enter the given state(s).

Parameters
  • metastore_id (str) – (required) The metastore’s OCID.

  • remove_resource_lock_details (oci.data_catalog.models.RemoveResourceLockDetails) – (required) RemoveResourceLockDetails body parameter

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to remove_metastore_lock()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

update_attribute_and_wait_for_state(catalog_id, data_asset_key, entity_key, attribute_key, update_attribute_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls update_attribute() and waits for the Attribute acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • data_asset_key (str) – (required) Unique data asset key.

  • entity_key (str) – (required) Unique entity key.

  • attribute_key (str) – (required) Unique attribute key.

  • update_attribute_details (oci.data_catalog.models.UpdateAttributeDetails) – (required) The information to be updated in the attribute.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to update_attribute()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

update_catalog_and_wait_for_state(catalog_id, update_catalog_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls update_catalog() and waits for the Catalog acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • update_catalog_details (oci.data_catalog.models.UpdateCatalogDetails) – (required) The data catalog information to be updated.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to update_catalog()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

update_catalog_private_endpoint_and_wait_for_state(catalog_private_endpoint_id, update_catalog_private_endpoint_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls update_catalog_private_endpoint() and waits for the WorkRequest to enter the given state(s).

Parameters
  • catalog_private_endpoint_id (str) – (required) Unique private reverse connection identifier.

  • update_catalog_private_endpoint_details (oci.data_catalog.models.UpdateCatalogPrivateEndpointDetails) – (required) The information to be updated in private reverse connection

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for status

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to update_catalog_private_endpoint()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

update_connection_and_wait_for_state(catalog_id, data_asset_key, connection_key, update_connection_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls update_connection() and waits for the Connection acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • data_asset_key (str) – (required) Unique data asset key.

  • connection_key (str) – (required) Unique connection key.

  • update_connection_details (oci.data_catalog.models.UpdateConnectionDetails) – (required) The information to be updated in the connection.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to update_connection()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

update_custom_property_and_wait_for_state(catalog_id, namespace_id, custom_property_key, update_custom_property_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls update_custom_property() and waits for the CustomProperty acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • namespace_id (str) – (required) Unique namespace identifier.

  • custom_property_key (str) – (required) Unique Custom Property key

  • update_custom_property_details (oci.data_catalog.models.UpdateCustomPropertyDetails) – (required) The information to be updated in the custom property.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to update_custom_property()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

update_data_asset_and_wait_for_state(catalog_id, data_asset_key, update_data_asset_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls update_data_asset() and waits for the DataAsset acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • data_asset_key (str) – (required) Unique data asset key.

  • update_data_asset_details (oci.data_catalog.models.UpdateDataAssetDetails) – (required) The information to be updated in the data asset.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to update_data_asset()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

update_entity_and_wait_for_state(catalog_id, data_asset_key, entity_key, update_entity_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls update_entity() and waits for the Entity acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • data_asset_key (str) – (required) Unique data asset key.

  • entity_key (str) – (required) Unique entity key.

  • update_entity_details (oci.data_catalog.models.UpdateEntityDetails) – (required) The information to be updated in the data entity.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to update_entity()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

update_folder_and_wait_for_state(catalog_id, data_asset_key, folder_key, update_folder_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls update_folder() and waits for the Folder acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • data_asset_key (str) – (required) Unique data asset key.

  • folder_key (str) – (required) Unique folder key.

  • update_folder_details (oci.data_catalog.models.UpdateFolderDetails) – (required) The information to be updated in the folder.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to update_folder()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

update_glossary_and_wait_for_state(catalog_id, glossary_key, update_glossary_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls update_glossary() and waits for the Glossary acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • glossary_key (str) – (required) Unique glossary key.

  • update_glossary_details (oci.data_catalog.models.UpdateGlossaryDetails) – (required) The information to be updated in the glossary.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to update_glossary()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

update_job_and_wait_for_state(catalog_id, job_key, update_job_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls update_job() and waits for the Job acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • job_key (str) – (required) Unique job key.

  • update_job_details (oci.data_catalog.models.UpdateJobDetails) – (required) The information to be updated in the job.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to update_job()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

update_job_definition_and_wait_for_state(catalog_id, job_definition_key, update_job_definition_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls update_job_definition() and waits for the JobDefinition acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • job_definition_key (str) – (required) Unique job definition key.

  • update_job_definition_details (oci.data_catalog.models.UpdateJobDefinitionDetails) – (required) The information to be updated in the job definition.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to update_job_definition()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

update_metastore_and_wait_for_state(metastore_id, update_metastore_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls update_metastore() and waits for the Metastore acted upon to enter the given state(s).

Parameters
  • metastore_id (str) – (required) The metastore’s OCID.

  • update_metastore_details (oci.data_catalog.models.UpdateMetastoreDetails) – (required) The metastore information to be updated.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to update_metastore()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

update_namespace_and_wait_for_state(catalog_id, namespace_id, update_namespace_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls update_namespace() and waits for the Namespace acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • namespace_id (str) – (required) Unique namespace identifier.

  • update_namespace_details (oci.data_catalog.models.UpdateNamespaceDetails) – (required) The information to be updated in the namespace.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to update_namespace()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

update_pattern_and_wait_for_state(catalog_id, pattern_key, update_pattern_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls update_pattern() and waits for the Pattern acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • pattern_key (str) – (required) Unique pattern key.

  • update_pattern_details (oci.data_catalog.models.UpdatePatternDetails) – (required) The information to be updated in the pattern.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to update_pattern()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

update_term_and_wait_for_state(catalog_id, glossary_key, term_key, update_term_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls update_term() and waits for the Term acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • glossary_key (str) – (required) Unique glossary key.

  • term_key (str) – (required) Unique glossary term key.

  • update_term_details (oci.data_catalog.models.UpdateTermDetails) – (required) The information to be updated in the term.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to update_term()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

update_term_relationship_and_wait_for_state(catalog_id, glossary_key, term_key, term_relationship_key, update_term_relationship_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls update_term_relationship() and waits for the TermRelationship acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • glossary_key (str) – (required) Unique glossary key.

  • term_key (str) – (required) Unique glossary term key.

  • term_relationship_key (str) – (required) Unique glossary term relationship key.

  • update_term_relationship_details (oci.data_catalog.models.UpdateTermRelationshipDetails) – (required) The information to be updated in the term relationship.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to update_term_relationship()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

upload_credentials_and_wait_for_state(catalog_id, data_asset_key, connection_key, upload_credentials_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls upload_credentials() and waits for the Connection acted upon to enter the given state(s).

Parameters
  • catalog_id (str) – (required) Unique catalog identifier.

  • data_asset_key (str) – (required) Unique data asset key.

  • connection_key (str) – (required) Unique connection key.

  • upload_credentials_details (oci.data_catalog.models.UploadCredentialsDetails) – (required) The information used to upload the credentials file and metadata for updating this connection.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to upload_credentials()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait